Subject: Re: multiple channels

From: Dmitri Deshun Perkins <[email-masked]>
Date: Thu, 6 Dec 2001 11:42:52 -0500 (EST)

Hello Rex,

Thanks for the comments. Please see my comments in-line below.

Dmitri

On Wed, 5 Dec 2001, Rex Buddenberg wrote:

> >Hello,
> >
> >I am working on QoS issues(at the network layer) in MANETs.
> >However, one of the key factors limiting the provision of QoS
> >in the ad hoc environment appears to be the MAC layer and the
> >use of a single channel for all communications.
>
> First of all, we need to settle on a couple categories of
> requirements because the affect the rest of the discussion.  Are you
> looking at QoS control for:
>   - latency, jitter control?
>   - determinism?

At this point, my goal is to 'reduce' packet delay and
packet loss for real-time packets. As I see it, providing
deterministic guarantees is not very likely in the mobile ad hoc
environment. So, a probabilistic framework is being considered.

> Warning: slippery term alert.  Most requirements for 'real time'
> claim they need the latter (also described as 'bounded delay
> delivery') but in reality don't need.  And providing determinism is
> very expensive in terms of network resources and compromise of some
> architectural principles.  If indeed, the first bullet describes the
> need, then you want a priority queuing system.  Which is what
> diff-serv does.
>

Yes, the priority scheme (which diffserv offers) is part of my overall
scheme. Here is where I see the problem. The scheduling taking place
in a specific router is only seen by that router. However, the schedule
of each router affects the schedules of other routers (at least in a 2-hop
neighborhood). In a random access scheme (as I understand it), there is
no guarantee that the router with the higher priority traffic would be
gain the channel.

> And we need an operating assumption.  Assume that we have diff-serv
> implemented at the routers (and in MANET, all end systems are
> routers).  And assume that end systems can correctly set the DS byte
> so the MANET routers will bubble high priority datagrams to the front
> of the outgoing queues.

Okay...

>
> Now we're ready (I think) to discuss the MAC level issues:
>
>
> >Is there any work on using multiple channels? Are there specific
> >reasons why at least two channels (one for MAC-level control
> >packets and one for data packets) cannot be used? Would this be
> >beneficial in the multi-hop environment? in a mobile, multi-hop
> >environment?
>
> The general rule is that if you have a fixed amount of bandwidth (in
> this case translatable into spectrum), then slicing it up into
> smaller chunks is a Bad Idea.  If you use frequency division muxing
> to do this, then the second channel is unusable for data meaning that
> it is subtracted from your overall capacity.  If you time division
> mux, then life gets a little better (you don't have to have two
> radios;-).
>

Yes, I was thinking frequency division muxing. I have done a few test
and the results show that the throughput is reduce greatly (when
using a single channel) because of the collisions. Node mobility can add
to this problem. So, the idea was to have a small fraction of the
bandwidth (a seperate control channel) dedicated only for medium access
control packets (rts-cts-ack in 802.11).

Perhaps this will help...perhaps it will not. The goal here is to reduce
the number packet collisions. The control channel might also allow
for the design of 'smooth' preemptive schemes for higher priority traffic.

> Now, what are we trying to do with the second channel?  Exactly what
> do you mean by MAC-level control packets?  A few of us have dealt
> with these issues ... let me extrapolate a bit.
>
> In radio environments, certainly including MANET ones, we have a
> silent host problem.  That is, not every host in a collision domain
> can hear the other hosts.  So the typical LAN MAC protocols (CSMA/CD
> and token) don't work because they rest on the assumption that all
> can hear all (or at least upstream and downstream neighbors in
> token).  Living with these protocols gives very poor efficiency, and
> token systems in RF networks are very fragile.  Most of us who've
> tangled with this stuff get to the conclusion that we need a
> scheduling algorithm which turns out to be one queue (if we can
> translate your term 'channel' into queue, then we're ok).  And we
> need a means for startup hosts to get into the schedule; which tends
> to require a second queue with a different access scheme.  When I
> worked out this problem, I designated a control station (a MANET host
> functioning as a router or clusterhead in this newsgroup's
> terminology) who publishes the schedule ... all the rest of the
> subnet copies the schedule and only broadcasts when it's their turn.

Yes, I am trying to essentially share the schedules of each router; Or
at least inform routers within a 2-hop distance of a neighboring router
that has high priority traffic (delay-constrained traffic).

How do you select the control station in the MANET environment. Since all
routers are mobile, do you run the clustering algorithm periodically?

> In the published schedule are 'silent periods' (to reuse the old
> 500kc distress channel terminology) which is random access.  But the
> silent period is only used to gain access to the network (and perhaps
> include some QoS need data to vector things back to your question).
> The net controller then includes a successful network enterer in the
> schedule (presumably accounting for QoS needs in some schedule
> calculation algorithm).  That host then has no further use for the
> silent period queue so the random access freeforall has one less host
> fighting for access.

Interesting...Thanks for your comments.

DP

>
> This is a conscious tradeoff away from the CSMA/CA scheme in 802.11
> -- interactivity (at least in a lightly loaded network) goes down,
> but efficiency goes up.  And the network should be stable under
> overload, something you can't say about random access networks.
>
>
>
> I realize that this may be an engineering-type question, but the
> use of multiple channels would certainly influence protocol design.
>
> Please comment...
>
> Is this what you thought you were asking?
>
>
> --
> b
>

---

From: Marwaha Shivanajay <[email-masked]>
Date: Sun, 16 Dec 2001 15:54:11 +0800

Hi,
I think there exists like IEEE802.11a for wireless LANs which offer multiple
channel access and also higher link speed (54 MBPS) as compared to 1-2 MBPS
link and single link/chanel access at a time offered by IEEE802.11.

IEEE 802.11a works on 5 GHz (simple IEEE 802.11 works on 2.4 GHz) and it
(IEEE 802.11a) uses orthogonal freq division multiplexing as compared to
Freq hopping spread spectrum (FHSS) or Direct sequence spread spectrum
(DSSS) in simple IEEE802.11.

Also,  there exist IEEE 802.11b also known as Wi-Fi (Wireless Fidelity) and
IEEE802.11g which have higher speeds as compared to IEEE 802.11 but use the
same coding scheme that is DSSS and allow wireless functionality comparable
with ETHERNET (IEEE802.3). The freq is also same as IEEE802.11 for these two
i.e. 2.4GHz.

I think if we can utilize these newer protocols, not only will we utilize a
larger speed of communication (atleast more than 1-2MBPS) but also a multi
channel access technique providing multiple users to communicate
simulataneously. 

I also think that the present bandwidth and single access techniques should
slowly make way for higher bandwidth and multi access protocols (using some
multiplexing or coding schemes like CDMA) to allow MANETs to offer
performance comparable to Wired networks.

Best Rgds,
Shivanajay Marwaha

-----Original Message-----
From: Dmitri Deshun Perkins [mailto:[email-masked]]
Sent: Thursday, December 06, 2001 2:27 AM
To: [email-masked]
Subject: multiple channels

Hello,

Please comment...

Thanks,
Dmitri